<!--
/**************************************************************************/
/*                                                                        */
/* Copyright (c) 2001, 2011 NoMachine, http://www.nomachine.com/.         */
/*                                                                        */
/* NXMANAGER, NX protocol compression and NX extensions to this software  */
/* are copyright of NoMachine. Redistribution and use of the present      */
/* software is allowed according to terms specified in the file LICENSE   */
/* which comes in the source distribution.                                */
/*                                                                        */
/* Check http://www.nomachine.com/licensing.html for applicability.       */
/*                                                                        */
/* NX and NoMachine are trademarks of Medialogic S.p.A.                   */
/*                                                                        */
/* All rights reserved.                                                   */
/*                                                                        */
/**************************************************************************/

function addBtn( id, group, menuId, over, out, click, isSelected ){
  this.id = id;
  this.group = group;
  this.menuId = menuId;
  this.over = over
  this.out = out;
  this.click = click;
  this.isSelected = isSelected;
  return this;
}

var btnList = new Array();

function initToolBar() {

        var c = 0;

//Big Buttons
        // Users
        btnList[++c] = new addBtn(1, 'n', 3, '2.gif', '1.gif', '3.gif', false);
        // Session
        btnList[++c] = new addBtn(2, 'n', 3, '5.gif', '4.gif', '6.gif', false);
        // Stats
        btnList[++c] = new addBtn(3, 'n', false, '11.gif', '10.gif', '12.gif', false);
        // Config
        btnList[++c] = new addBtn(4, 'n', false, '8.gif', '7.gif', '9.gif', false);

// Logout
        btnList[++c] = new addBtn(5, 'n', false, '14.gif', '13.gif', '14.gif', false);

//Common buttons
        // back
        btnList[++c] = new addBtn(6, 'n', false, '16.gif', '15.gif', '16.gif', false);
        // forward
        btnList[++c] = new addBtn(7, 'n', false, '18.gif', '17.gif', '18.gif', false);
        // reload
        btnList[++c] = new addBtn(8, 'n', false, '20.gif', '19.gif', '20.gif', false);

//Users buttons

        btnList[++c] = new addBtn(9,  'n', false, '22.gif', '21.gif', '22.gif', false);
        btnList[++c] = new addBtn(10, 'n', false, '24.gif', '23.gif', '24.gif', false);
        btnList[++c] = new addBtn(11, 'n', false, '26.gif', '25.gif', '26.gif', false);
        btnList[++c] = new addBtn(12, 'n', false, '28.gif', '27.gif', '28.gif', false);
        btnList[++c] = new addBtn(13, 'n', false, '30.gif', '29.gif', '30.gif', false);

//Sessions buttons
        
        btnList[++c] = new addBtn(14,'n', false, '32.gif', '31.gif', '32.gif', false);
        btnList[++c] = new addBtn(15,'n', false, '34.gif', '33.gif', '34.gif', false);
        btnList[++c] = new addBtn(16,'n', false, '36.gif', '35.gif', '36.gif', false);

//Configuration buttons

        btnList[++c] = new addBtn(17,'n', false, '38.gif', '37.gif', '38.gif', false);
        btnList[++c] = new addBtn(18,'n', false, '40.gif', '39.gif', '40.gif', false);

//Statistics buttons
        
        btnList[++c] = new addBtn(19,'n', false, '50.gif', '49.gif', '50.gif', false);
        btnList[++c] = new addBtn(20,'n', false, '42.gif', '41.gif', '42.gif', false);
        btnList[++c] = new addBtn(21,'n', false, '44.gif', '43.gif', '44.gif', false);
        btnList[++c] = new addBtn(22,'n', false, '46.gif', '45.gif', '46.gif', false);
        btnList[++c] = new addBtn(23,'n', false, '48.gif', '47.gif', '48.gif', false);
        

//Login buttons

        btnList[++c] = new addBtn(24,'n', false, '52.gif', '51.gif', '52.gif', false);

        
}

function setBtnSelected (id) {

	// Sets the "selected" status for the button specified,
	// the "mouse out" status for all others
	// Considering just the first big buttons on the right

	// NOTE: THERE IS A WAY TO SAVE COMPUTATION: once one button has been selected and there's no more
        // buttons to de-select, computation can stop

	for (i = 1; i <  5; i++) {

		imgid = "n"+i;

		if (i == id) {
			btnMouseEvent(document.images[imgid], i, 3);
		} else {
			btnMouseEvent(document.images[imgid], i, 4);
		}
	}

}


function resetSelectedButton() {

	// Called to remove the "selected" attribute from
        // one of the four big buttons

	for (i = 1; i <  5; i++) {
		if (btnList[i].isSelected) {

			imgid = "n"+i;
			btnMouseEvent(document.images[imgid], i, 4);

			// No need to go on now: the selected button
			// has been found
			break;

		}
	}

}


function setBtnStatus( obj, id, selected, openMenu ,setElement){
	t = new Image;
        
	if( selected == true ){
                t.src = '/nxmanager/images/toolbar/butt'+btnList[id].click;
		if( btnList[id].menuId != false && openMenu == true ){
			open( btnList[id].menuId, false, setElement);
		}
        }else{
                t.src = '/nxmanager/images/toolbar/butt'+btnList[id].out;
                if( btnList[id].menuId != false && openMenu == true ){
                        close( btnList[id].menuId, false, setElement);
                }
        }

        btnList[id].isSelected = selected;
        obj.src=t.src;
}

function btnMouseEvent( obj, id, s ) {


	// Nothing happens if the mouse pointer is passed over a "pressed" button
        if ((btnList[id].isSelected == true) && ((s == 1) || (s == 2))) {
		return 0;
	}

        if (s == 1) {
		//onMouseOver
                obj.src = '/nxmanager/images/toolbar/butt' + btnList[id].over;
        } else if (s == 2) {
		//onMouseOut
                obj.src = '/nxmanager/images/toolbar/butt'+btnList[id].out;
	} else if ( s == 3 ) {
		// selected
                obj.src = '/nxmanager/images/toolbar/butt'+btnList[id].click;
		btnList[id].isSelected = true;
	} else if (s == 4) {
		// Custom operation to allow reset of a "pressed" button
                obj.src = '/nxmanager/images/toolbar/butt'+btnList[id].out;
	}

}

function imageClick(idBtn, openMenu , setElement){
       
        if (!setElement)
        var setElement=false;

	var iBtn = 0;
	var group = btnList[idBtn].group;

          for( iBtn = 0; iBtn <= parent.topFrame.document.images.length -1; iBtn++ )
          {
            if( parent.topFrame.document.images[iBtn].name != '' 
                && parent.topFrame.document.images[iBtn].name.charAt(0) == group ) 
            {
              //for( iBtn = 0; iBtn <= parent.topFrame.document.images.length; iBtn++){
              for( iBtn = 0; iBtn <= parent.topFrame.document.images.length-1; iBtn++){
		if( parent.topFrame.document.images[iBtn].name.charAt(0) == group ){
			var num = parent.topFrame.document.images[iBtn].name.substr(1, parent.topFrame.document.images[iBtn].name.length - 1 );

			if( num == idBtn ){
				setBtnStatus( parent.topFrame.document.images[iBtn], num, !btnList[idBtn].isSelected, openMenu ,setElement);
                       	}else{
                               	setBtnStatus( parent.topFrame.document.images[iBtn], num, false, true ,setElement);
                        }
                }
              }
            }
        
          }
}

initToolBar();
-->
